

        GetFile V1.1             User manual              GetFile V1.1


        NAME 
            GetFile 

        SYNOPSIS 
             GetFile [[FILE] File] [[TITLE] Titlestring] [[VAR]
                    Variablename] [[PATTERN] Pattern] [GLOBAL]
                    [NOFILES] [SAVE] [MULTISELECT] 

        DESCRIPTION 
            NOTE: This program only works with OS 2.04! 

            GetFile  is  a  little  command  intended  to  be  used in
            scripts  (Shell or ARexx), where an input from the user in
            the  form  of  a  filename  or a directory name is needed.
            The  requester  used  is  the  OS2.0 standard requester in
            ASL.   If  no  file  was  selected,  the WARN flag will be
            set.  

        OPTIONS 
            There  are no required arguments. The keywords (see below)
            are  only  required if you do not enter the strings in the
            ordering  as above. Strings only need to be quoted if they
            contain spaces.  

            FILE 
                This  lets  you  specify  the default directory and/or
                filename.  If none is specified, the current directory
                will be the default directory.  

            TITLE 
                This  optional  string  specifies  the  title  in  the
                requester  window.  It  defaults to "Select a file" if
                none is specified.  

            VAR 
                This  string  lets you specify in which local variable
                the   result   will   be   stored   (with   full  path
                specification). The default name is GetFileResult.  

            PATTERN 
                This  string  specifies  the  pattern to use. Only the
                filenames  that  matches the pattern will be shown. It
                also implies for a pattern gadget.  

            GLOBAL 
                By  default,  GetFile will place the answer in a local
                environment  variable.  But this has one drawback: You
                can't  access  the  result  easily  from ARexx. If you
                have  set  this  flag,  it  will be quite easy. Simply
                peek in the ENV: directory. :) 

            NOFILES 


                                    Page 1


        GetFile V1.1             User manual              GetFile V1.1


                If  this keyword is present, then the user will not be
                able  to  select  any  files, only directories will be
                shown.   Very   nice  if  the  user  should  select  a
                destination     directory     for     e.g.    harddisk
                installation.  

            SAVE 
                If   this  keyword  is  present,  the  requester  will
                operate  in save mode, which is a bit different. First
                of  all,  double-clicking  a  file will have no effect
                (except  from  selecting  that file ofcourse!), and if
                the  user  enters  a  directory  which  doesn't exist,
                there  will  be a requester asking if the directory in
                question  should be created. The look of the requester
                will be somewhat different.  

            MULTISELECT 
                If  this  keyword is present, the user will be able to
                select  multiple  files (if the SAVE switch is used at
                the   same  time,  this  keyword  does  nothing).  The
                returned  string  will  be  space-separated  filenames
                with  full  path specification. If a filename contains
                spaces,  it  will  be  quoted.  This keyword is mostly
                intended  to  be  used from ARexx-scripts (since it is
                quite easy to process the result in ARexx).  

        EXAMPLE 
            GetFile TITLE "Select destination directory" NOFILES 
            Echo "Files will be placed in $GetFileResult"

























                                    Page 2

